com.microfocus.awm.model.internal

## Class AbstractInternalApplicationProperty

- java.lang.Object
- - com.microfocus.awm.model.internal.AbstractInternalApplicationProperty

- All Implemented Interfaces:
    IApplicationProperty
  Direct Known Subclasses:
    ApplicationProperty, MasterConfigurationProperty

      public abstract class AbstractInternalApplicationProperty
      extends java.lang.Object
      implements IApplicationProperty

  Abstract class for `MasterConfigurationProperty`s and `ApplicationProperty`s.

  This class must NOT be extended or used by clients.

  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInternalApplicationProperty(Property pProperty, RApplicationProperty pApplicationProperty, ITaurusApplication pApplication, IApplicationPropertyProxy pApplicationPropertyProxy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITaurusApplication` | `getApplication()` Returns the corresponding `ITaurusApplication` to the `IApplicationProperty`.
    `Property` | `getProperty()` Returns the corresponding target property `Property` of the `IApplicationProperty`.
    `IPropertyValue` | `getPropertyValue()` Return the corresponding `IPropertyValue` of the `IApplicationProperty`.
    `boolean` | `isConstant()` Whether the `IApplicationProperty` is a constant or not.
    `boolean` | `isMandatory()` Whether the `IApplicationProperty` is a mandatory application property.
    `void` | `refreshProperty()` Refreshes the `IApplicationProperty`.
    `void` | `unloadProperty()` Unloads the `IApplicationProperty`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IApplicationProperty

      `clearPropertyCache, getDefaultValue, getPropertyType, initApplicationProperty`

- - ### Constructor Detail

    - #### AbstractInternalApplicationProperty

          public AbstractInternalApplicationProperty(Property pProperty,
                                                     RApplicationProperty pApplicationProperty,
                                                     ITaurusApplication pApplication,
                                                     IApplicationPropertyProxy pApplicationPropertyProxy)

      Parameters:
        `pProperty` - the property of the `IApplicationProperty`
        `pApplicationProperty` - the relationship `RApplicationProperty` to the `Property`
        `pApplication` - the `ITaurusApplication`
        `pApplicationPropertyProxy` - the `IApplicationPropertyProxy`. Can be `null`, if no cached values exist for this `IApplicationProperty`.

  - ### Method Detail

    - #### isConstant

          public boolean isConstant()

      Description copied from interface: `IApplicationProperty`
      Whether the `IApplicationProperty` is a constant or not. A constant `IApplicationProperty` is not changeable through resource processing.
      Specified by:
        `isConstant` in interface `IApplicationProperty`
      Returns:
        whether the `IApplicationProperty` is a constant or not.

    - #### getProperty

          public Property getProperty()

      Description copied from interface: `IApplicationProperty`
      Returns the corresponding target property `Property` of the `IApplicationProperty`.
      Specified by:
        `getProperty` in interface `IApplicationProperty`
      Returns:
        the corresponding target property `Property` of the `IApplicationProperty`

    - #### isMandatory

          public boolean isMandatory()

      Description copied from interface: `IApplicationProperty`
      Whether the `IApplicationProperty` is a mandatory application property. A mandatory application property must NOT have an empty or `null` value.
      Specified by:
        `isMandatory` in interface `IApplicationProperty`
      Returns:
        whether the `IApplicationProperty` is a mandatory application property

    - #### getApplication

          public ITaurusApplication getApplication()

      Description copied from interface: `IApplicationProperty`
      Returns the corresponding `ITaurusApplication` to the `IApplicationProperty`.
      Specified by:
        `getApplication` in interface `IApplicationProperty`
      Returns:
        the corresponding `ITaurusApplication`

    - #### getPropertyValue

          public IPropertyValue getPropertyValue()

      Description copied from interface: `IApplicationProperty`
      Return the corresponding `IPropertyValue` of the `IApplicationProperty`.
      Specified by:
        `getPropertyValue` in interface `IApplicationProperty`
      Returns:
        the corresponding `IPropertyValue` of the `IApplicationProperty`.

    - #### refreshProperty

          public void refreshProperty()

      Description copied from interface: `IApplicationProperty`
      Refreshes the `IApplicationProperty`.

      This method is called when an `ITaurusSystem` is refreshed.

      Specified by:
        `refreshProperty` in interface `IApplicationProperty`

    - #### unloadProperty

          public void unloadProperty()

      Description copied from interface: `IApplicationProperty`
      Unloads the `IApplicationProperty`. This method is called when `ITaurusApplication.unloadApplication()` is executed.
      Specified by:
        `unloadProperty` in interface `IApplicationProperty`

Copyright © 2015 Micro Focus GmbH. All rights reserved.